Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AnimatedChatPhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AnimatedChatPhoto

Enclosing class:
  TdApi

public static final class TdApi.AnimatedChatPhoto extends TdApi.Object
Animated variant of a chat photo in MPEG4 format.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`TdApi.File`
`file`
Information about the animation file.
`int`
`length`
Animation width and height.
`double`
`mainFrameTimestamp`
Timestamp of the frame, used as a static chat photo.

## Constructor Summary

Constructors
Constructor
Description
`AnimatedChatPhoto()`
Animated variant of a chat photo in MPEG4 format.
`AnimatedChatPhoto(int length, TdApi.File file, double mainFrameTimestamp)`
Animated variant of a chat photo in MPEG4 format.
`AnimatedChatPhoto(DataInput input)`
Animated variant of a chat photo in MPEG4 format.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### length

public int length
Animation width and height.

### file

public TdApi.File file
Information about the animation file.

### mainFrameTimestamp

public double mainFrameTimestamp
Timestamp of the frame, used as a static chat photo.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AnimatedChatPhoto

public AnimatedChatPhoto()
Animated variant of a chat photo in MPEG4 format.

### AnimatedChatPhoto

public AnimatedChatPhoto(int length, TdApi.File file, double mainFrameTimestamp)
Animated variant of a chat photo in MPEG4 format.

Parameters:
  `length` - int Animation width and height.
  `file` - File Information about the animation file.
  `mainFrameTimestamp` - double Timestamp of the frame, used as a static chat photo.

### AnimatedChatPhoto

public AnimatedChatPhoto(DataInput input) throws IOException
Animated variant of a chat photo in MPEG4 format.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`